メインコンテンツへスキップ
PATCH
/
metadata_taxonomies
/
{namespace}
/
{taxonomy_key}
/
levels
/
{level_index}
cURL
curl -i -X PATCH "https://api.box.com/2.0/metadata_taxonomies/enterprise_123456/geography/levels/1" \
     -H "authorization: Bearer <ACCESS_TOKEN>" \
     -H "content-type: application/json" \
     -d '{
       "displayName": "France",
       "description": "French Republic"
     }'
{
  "displayName": "Continent",
  "description": "Continent",
  "level": 1
}
このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

namespace
string
必須

メタデータ階層の名前空間。

taxonomy_key
string
必須

メタデータ階層のキー。

level_index
integer
必須

メタデータ階層レベルのインデックス。

ボディ

application/json
displayName
string
必須

メタデータ階層レベルの表示名。

:

"France"

description
string

メタデータ階層レベルの説明。

:

"French Republic"

レスポンス

更新されたメタデータ階層レベル。

メタデータ階層のレベルは、メタデータ階層構造内の階層カテゴリを表します。

displayName
string

ユーザーに表示されるレベルの表示名。

:

"Continent"

description
string

レベルの説明。

:

"Continent"

level
integer<int32>

メタデータ階層内のレベルのインデックス。レベルのインデックスは1から始まります。

:

1